Nếu bạn có 2 đường thẳng, bạn muốn vẽ nhanh một hình chữ nhật đi qua 2 trung điểm , nếu bạn vẽ rất nhiều kiểu như vậy thì lisp tạo hình chữ nhật này sẽ giúp bạn hoàn thành bản vẽ cực kỳ nhanh, lisp này chắc chắn các bạn sẽ sử dụng rất nhiều trong công việc

Xem thêm: Lisp thay đổi hatch thành solid hatch

Lisp tạo hình chữ nhật từ trung điểm 2 cạnh trong autocad

Cách sử dụng

+ Gõ rec3 <enter>

+ Chọn điểm 1

+ Chọn điểm 2

+ Nhập khoảng cách cạnh bên

Code:

 (defun c:rec3 (/ p1 p2 d1 c1 c2 c3 c4)

(initget 1)
(setq p1 (getpoint "\nCenter Of 1st Side: "))
(initget 1)
(setq p2 (getpoint p1 "\nCenter Of 2nd Side: "))
(grdraw p1 p2 2 1)
(initget 7)
(setq d1 (getdist "\nOpposing Width: "))
(setq c1 (polar p1 (+ (angle p1 p2) (* pi 0.5)) (* d1 0.5))
c2 (polar p1 (+ (angle p1 p2) (* pi -0.5)) (* d1 0.5))
c3 (polar p2 (+ (angle p2 p1) (* pi 0.5)) (* d1 0.5))
c4 (polar p2 (+ (angle p2 p1) (* pi -0.5)) (* d1 0.5)))
(entmake (list (cons 0 "POLYLINE")(cons 66 1)(cons 70 1)(list 10 0 0 0)))
(foreach v '(c1 c2 c3 c4)
(entmake (list (cons 0 "VERTEX")
(cons 10 (eval v)))))
(entmake (list (cons 0 "SEQEND")))
(prin1))

Có thể bạn cần

Trả lời

Email của bạn sẽ không được hiển thị công khai.